Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.atom
Class AbderaServiceComponent

    java.lang.Object
      org.mule.component.AbstractComponent
          org.mule.component.AbstractJavaComponent
              org.mule.component.DefaultJavaComponent
                  org.mule.module.atom.AbderaServiceComponent

All Implemented Interfaces:
  Component, JavaComponent, FlowConstructAware, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, MessageProcessor

    public class AbderaServiceComponent

extends DefaultJavaComponent

This component receives requests from Mule and passes them off to Abdera.

Nested Class Summary
`static class` | `AbderaServiceComponent.AbderaCallable`

Field Summary
`static String` | `EVENT_CONTEXT`
`protected static Log` | `logger`

Fields inherited from class org.mule.component.DefaultJavaComponent
`singletonComponentLifecycleAdapter`

Fields inherited from class org.mule.component.AbstractJavaComponent
`bindings, entryPointResolverSet, lifecycleAdapterFactory, objectFactory`

Fields inherited from class org.mule.component.AbstractComponent
`flowConstruct, interceptorChain, interceptors, muleContext, notificationHandler, statistics`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`AbderaServiceComponent()`

Method Summary
`org.apache.abdera.protocol.server.Provider` | `getProvider()`
`void` | `setProvider(org.apache.abdera.protocol.server.Provider provider)`

Methods inherited from class org.mule.component.DefaultJavaComponent
`borrowComponentLifecycleAdaptor, doDispose, doStart, doStop, returnComponentLifecycleAdaptor`

Methods inherited from class org.mule.component.AbstractJavaComponent
`createLifecycleAdaptor, doInitialise, doInvoke, getEntryPointResolverSet, getInterfaceBindings, getLifecycleAdapterFactory, getObjectFactory, getObjectType, injectService, invokeComponentInstance, setEntryPointResolvers, setEntryPointResolverSet, setFlowConstruct, setInterfaceBindings, setLifecycleAdapterFactory, setObjectFactory`

Methods inherited from class org.mule.component.AbstractComponent
`createResultEvent, dispose, fireComponentNotification, getFlowConstruct, getInterceptors, getStatistics, initialise, process, release, setInterceptors, setMuleContext, start, stop, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.component.Component
`getStatistics`

Methods inherited from interface org.mule.api.processor.MessageProcessor
`process`

Field Detail

### EVENT_CONTEXT

    public static final String EVENT_CONTEXT

See Also:
  Constant Field Values

### logger

    protected static final transient Log logger

Constructor Detail

### AbderaServiceComponent

    public AbderaServiceComponent()

Method Detail

### getProvider

    public org.apache.abdera.protocol.server.Provider getProvider()

### setProvider

    public void setProvider(org.apache.abdera.protocol.server.Provider provider)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.